LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06969Bug reports[All Projects] Statisticspublic2012-11-27 11:392013-01-08 22:32
Reportersukhon 
Assigned Toc_schmitz 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06969: statistics-and-graphs-in-arabic
DescriptionWe installed the new Version 2.00+ Build 121121 and worked out one survey, the Arabic fonts now appear in the chart but not attached for example

انا اسمي

looks like
ي م س ا ا ن ا
which is not readable any clue how to fix it

if you take a good look on the fonts they are reversed as Arabic direction is right to left but the result in charts is left to right as in Latin righting and this might be the cause of the problem

PS* the same problem in older versions
Steps To Reproducereverse the Arabic font direction inside the charts from

left to right

to

Right to left

the letter should be attached not away from each other
Additional Informationyou can refer to the forum http://www.limesurvey.org/en/forum/installation-a-update-issues/87099-statistics-and-graphs-in-arabic [^]
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121121
Browserall
Database & DB-VersionMySQL client version: 5.1.41, Server version: 5.1.41-3ubuntu12.10
Operating System (Server)Ubuntu Server 10.04 LTS
Webserver software & versionsw-cp-server/1.0.0
PHP Version3.3.3
Attached Files? file icon limesurvey_survey_253782.lss [^] (89,289 bytes) 2012-11-27 11:39
png file icon chart in Arabic.png [^] (56,581 bytes) 2012-11-27 12:08


? file icon survey in arabic for bug 06969.lss [^] (17,907 bytes) 2012-11-28 10:36
png file icon Arabic charts base language Arabic.png [^] (72,450 bytes) 2012-11-28 10:46


? file icon limesurvey_survey_testing_Arabic.lss [^] (17,893 bytes) 2012-12-31 13:09
png file icon SC.png [^] (155,473 bytes) 2012-12-31 13:12

- Relationships
has duplicate 07119closedDenisChenu Arabic based language report to PDF 

-  Notes
User avatar (22606)
c_schmitz (administrator)
2012-11-27 14:56

The reason for this is very simple. To show Arabic properly you will have to use Arabic as the base language for your survey. But you are using English (I can see that in your .lss file) so the stastitics does not show properly.
User avatar (22615)
sukhon (reporter)
2012-11-28 10:34
edited on: 2012-11-28 14:50

I made a small survey, the base language is Arabic and still get the same result. I uploaded a new *.lss file with base language Arabic

User avatar (22616)
sukhon (reporter)
2012-11-28 10:48
edited on: 2012-11-28 10:48

please check the Image for the charts, base language of the survey is Arabic, it produced another bug that in pie chart the legend is not readable and looks like small squares and the direction of the text in the bar charts is still reversed

User avatar (22699)
c_schmitz (administrator)
2012-11-29 13:46

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10558 [^]
User avatar (22717)
c_schmitz (administrator)
2012-11-29 18:25

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10576 [^]
User avatar (22864)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.
User avatar (23382)
Mazi (developer)
2012-12-30 22:07

Re-opened because of remaining related problems:
"the charts in Arabic are working fine if i Select output format in HTML mode but when we Select output format in PDF the problem still persists not in charts but in the header and footer and legend that is exported in text"

Source: http://www.limesurvey.org/en/forum/installation-a-update-issues/87099-statistics-and-graphs-in-arabic?limit=10&start=20 [^]
User avatar (23384)
sukhon (reporter)
2012-12-31 13:11

When i export the Arabic based language report to PDF the charts are OK but the description is not recognizing the Arabic font and displaying squares instead of fonts. Arabic is not recognized in PDF
User avatar (23400)
sukhon (reporter)
2013-01-02 13:36

Hi, sorry not trying to be pushy but any progress regarding this bug?
User avatar (23463)
c_schmitz (administrator)
2013-01-05 00:20

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11071 [^]
User avatar (23464)
c_schmitz (administrator)
2013-01-05 00:21

Shnoulle, I think the same fonts would apply here as with the charts. Can you have a look at this, introduce an 'auto' setting and generate the rights fonts for TCPDF? For package size reasons we should drop all fonts that are not needed anymore after that from the package.
User avatar (23471)
DenisChenu (developer)
2013-01-05 15:31

TCPDF already include a lot of fonts, seems some are OK for arabic.

Nop
User avatar (23472)
DenisChenu (developer)
2013-01-05 15:33

Carsten: seems this one is for graph" and the other one is for PDF (http://bugs.limesurvey.org/view.php?id=7119 [^])

Not really a duplicate. You make the work for graph, the close thisn one and put the patch in 7119 ?

Denis
User avatar (23481)
c_schmitz (administrator)
2013-01-05 18:13

Denis, ok, please do.
User avatar (23485)
c_schmitz (administrator)
2013-01-05 18:24

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11084 [^]
User avatar (23554)
c_schmitz (administrator)
2013-01-08 22:32

2.00+ Build 130108 released.

- Related Changesets
LimeSurvey: master 2abb86fc
Timestamp: 2012-11-29 08:12:07
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Dev Update arPHP to 3.5.0 - fixes partially issue 06969
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
rm - application/libraries/ArGlyphs.class.php Diff ] File ]
rm - application/libraries/Arabic.php Diff ] File ]
add - application/third_party/ar-php/Arabic.php Diff ] File ]
add - application/third_party/ar-php/Arabic/AutoSummarize.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Changes Diff ] File ]
add - application/third_party/ar-php/Arabic/CharsetC.php Diff ] File ]
add - application/third_party/ar-php/Arabic/CharsetD.php Diff ] File ]
add - application/third_party/ar-php/Arabic/CompressStr.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Data.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Date.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Docs.zip Diff ] File ]
add - application/third_party/ar-php/Arabic/Examples.zip Diff ] File ]
add - application/third_party/ar-php/Arabic/GPL Diff ] File ]
add - application/third_party/ar-php/Arabic/Gender.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Glyphs.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Hiero.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Identifier.php Diff ] File ]
add - application/third_party/ar-php/Arabic/KeySwap.php Diff ] File ]
add - application/third_party/ar-php/Arabic/LGPL Diff ] File ]
add - application/third_party/ar-php/Arabic/Mktime.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Normalise.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Numbers.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Query.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Salat.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Soundex.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Standard.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Stemmer.php Diff ] File ]
add - application/third_party/ar-php/Arabic/StrToTime.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Transliteration.php Diff ] File ]
add - application/third_party/ar-php/Arabic/WordTag.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArDate.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArNumbers.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArQuery.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArSort.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArSoundex.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArStrToTime.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/Transliteration.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ar-extra-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ar-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/arab_countries.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/ArUnicode.constants.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_bug.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_html.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_iso88596.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_utf8.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_windows1256.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/arabizi.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/charset.src Diff ] File ]
add - application/third_party/ar-php/Arabic/data/cities.db Diff ] File ]
add - application/third_party/ar-php/Arabic/data/en-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/female.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/important-words.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/um_alqoura.txt Diff ] File ]
LimeSurvey: master 134a8992
Timestamp: 2012-11-29 12:46:38
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06969: Statistics graphs in Arabic not shown properly
mod - application/controllers/admin/statistics.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
LimeSurvey: 2.1 0f8c7a5b
Timestamp: 2012-11-29 17:24:27
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06969: Statistics graphs in Arabic not shown properly
mod - application/controllers/admin/statistics.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
LimeSurvey: 2.1 86c0650b
Timestamp: 2012-11-29 17:28:20
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Dev Update arPHP to 3.5.0 - fixes partially issue 06969
rm - application/libraries/ArGlyphs.class.php Diff ] File ]
rm - application/libraries/Arabic.php Diff ] File ]
add - application/third_party/ar-php/Arabic.php Diff ] File ]
add - application/third_party/ar-php/Arabic/AutoSummarize.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Changes Diff ] File ]
add - application/third_party/ar-php/Arabic/CharsetC.php Diff ] File ]
add - application/third_party/ar-php/Arabic/CharsetD.php Diff ] File ]
add - application/third_party/ar-php/Arabic/CompressStr.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Data.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Date.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Docs.zip Diff ] File ]
add - application/third_party/ar-php/Arabic/Examples.zip Diff ] File ]
add - application/third_party/ar-php/Arabic/GPL Diff ] File ]
add - application/third_party/ar-php/Arabic/Gender.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Glyphs.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Hiero.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Identifier.php Diff ] File ]
add - application/third_party/ar-php/Arabic/KeySwap.php Diff ] File ]
add - application/third_party/ar-php/Arabic/LGPL Diff ] File ]
add - application/third_party/ar-php/Arabic/Mktime.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Normalise.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Numbers.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Query.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Salat.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Soundex.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Standard.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Stemmer.php Diff ] File ]
add - application/third_party/ar-php/Arabic/StrToTime.php Diff ] File ]
add - application/third_party/ar-php/Arabic/Transliteration.php Diff ] File ]
add - application/third_party/ar-php/Arabic/WordTag.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArDate.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArNumbers.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArQuery.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArSort.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArSoundex.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ArStrToTime.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/Transliteration.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ar-extra-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/ar-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/arab_countries.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/ArUnicode.constants.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_bug.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_html.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_iso88596.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_utf8.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/_windows1256.php Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/arabizi.xml Diff ] File ]
add - application/third_party/ar-php/Arabic/data/charset/charset.src Diff ] File ]
add - application/third_party/ar-php/Arabic/data/cities.db Diff ] File ]
add - application/third_party/ar-php/Arabic/data/en-stopwords.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/female.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/important-words.txt Diff ] File ]
add - application/third_party/ar-php/Arabic/data/um_alqoura.txt Diff ] File ]
LimeSurvey: master 16fae7e2
Timestamp: 2013-01-04 23:19:45
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06969: Arabic characters not properly shown when exporting statistics as PDF
mod - application/config/config-defaults.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
LimeSurvey: 2.1 eaf64ee2
Timestamp: 2013-01-05 17:19:47
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06969: Arabic characters not properly shown when exporting statistics as PDF
mod - application/config/config-defaults.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-27 11:39 sukhon New Issue
2012-11-27 11:39 sukhon File Added: limesurvey_survey_253782.lss
2012-11-27 12:08 sukhon File Added: chart in Arabic.png
2012-11-27 14:54 c_schmitz Assigned To => DenisChenu
2012-11-27 14:54 c_schmitz Status new => assigned
2012-11-27 14:55 c_schmitz Assigned To DenisChenu => c_schmitz
2012-11-27 14:56 c_schmitz Note Added: 22606
2012-11-27 14:56 c_schmitz Status assigned => closed
2012-11-27 14:56 c_schmitz Resolution open => no change required
2012-11-28 10:34 sukhon Note Added: 22615
2012-11-28 10:34 sukhon Status closed => feedback
2012-11-28 10:34 sukhon Resolution no change required => reopened
2012-11-28 10:36 sukhon File Added: survey in arabic for bug 06969.lss
2012-11-28 10:46 sukhon File Added: Arabic charts base language Arabic.png
2012-11-28 10:48 sukhon Note Added: 22616
2012-11-28 10:48 sukhon Status feedback => assigned
2012-11-28 10:48 sukhon Note Edited: 22616 View Revisions
2012-11-28 14:48 sukhon Note Edited: 22615 View Revisions
2012-11-28 14:49 sukhon Note Edited: 22615 View Revisions
2012-11-28 14:50 sukhon Note Edited: 22615 View Revisions
2012-11-29 09:12 c_schmitz Changeset attached => LimeSurvey master 2abb86fc
2012-11-29 13:46 c_schmitz Status assigned => resolved
2012-11-29 13:46 c_schmitz Fixed in Version => 2.00+
2012-11-29 13:46 c_schmitz Resolution reopened => fixed
2012-11-29 13:46 c_schmitz Changeset attached => LimeSurvey master 134a8992
2012-11-29 13:46 c_schmitz Note Added: 22699
2012-11-29 18:25 c_schmitz Changeset attached => LimeSurvey 2.1 0f8c7a5b
2012-11-29 18:25 c_schmitz Note Added: 22717
2012-11-29 18:30 c_schmitz Changeset attached => LimeSurvey 2.1 86c0650b
2012-12-04 13:16 c_schmitz Note Added: 22864
2012-12-04 13:16 c_schmitz Status resolved => closed
2012-12-30 22:07 Mazi Note Added: 23382
2012-12-30 22:07 Mazi Status closed => feedback
2012-12-30 22:07 Mazi Resolution fixed => reopened
2012-12-31 13:09 sukhon File Added: limesurvey_survey_testing_Arabic.lss
2012-12-31 13:11 sukhon Note Added: 23384
2012-12-31 13:11 sukhon Status feedback => assigned
2012-12-31 13:12 sukhon File Added: SC.png
2013-01-02 13:36 sukhon Note Added: 23400
2013-01-05 00:20 c_schmitz Changeset attached => LimeSurvey master 16fae7e2
2013-01-05 00:20 c_schmitz Note Added: 23463
2013-01-05 00:20 c_schmitz Assigned To c_schmitz => DenisChenu
2013-01-05 00:21 c_schmitz Note Added: 23464
2013-01-05 15:02 c_schmitz Relationship added has duplicate 07119
2013-01-05 15:31 DenisChenu Note Added: 23471
2013-01-05 15:33 DenisChenu Note Added: 23472
2013-01-05 18:13 c_schmitz Note Added: 23481
2013-01-05 18:24 c_schmitz Changeset attached => LimeSurvey 2.1 eaf64ee2
2013-01-05 18:24 c_schmitz Note Added: 23485
2013-01-06 11:00 DenisChenu Status assigned => resolved
2013-01-06 11:00 DenisChenu Resolution reopened => fixed
2013-01-06 11:00 DenisChenu Assigned To DenisChenu => c_schmitz
2013-01-08 22:32 c_schmitz Note Added: 23554
2013-01-08 22:32 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker